/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include "tb_svr4.h"

int normalize(int k) {
	if ( k<0 ) 
		k=0;
	if ( k>SVR4_NUM_PRIORITIES-1 )
		k = SVR4_NUM_PRIORITIES-1;
	
	return k;
}

int main(int argc, char* argv[])
{
	int i;

	for ( i=0; i<SVR4_NUM_PRIORITIES; i++ ) {
		printf ( "%d %d %d %d %d %d %d %d %d %d %d\n",
		100,
		10,
		normalize(i+1),
		0,
		20,
		normalize(i-10),
		0,
		0,		
		normalize(0),
		0,
		4 );
	}
	
	return 0;
}
