/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <linux/unistd.h>

_syscall1(int,sched_set,int,index)
_syscall2(int,sched_ctl,int,cmd,void*,data)

int main(int argc, char* argv[])
{
	int res;
	
	res = sched_set(-1);
	printf("Scheduler status: %d\n", res);
	
	if ( argc<= 1 )
		return 0;
	
	res = sched_set(atoi(argv[1]));
	printf ("   sched_set  returned %d\n", res );
	
	if ( res==-1 ) 
		return 1;
		
	return 0;
}
