/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#ifndef _TBSCHEVT_H_
#define _TBSCHEVT_H_

class TBSchedEvent
{
public:
	bool eof;
	unsigned long start;
	unsigned long end;
	unsigned long event;

public:
	TBSchedEvent() { eof = true; }
	TBSchedEvent(unsigned long aStart, unsigned long anEnd, unsigned long anEvent)
	{
		eof = false;
		start = aStart;
		end = anEnd;
		event = anEvent;
	}
};

#endif
