#!/bin/bash

k=$2

rm -f *.fifo

case $1 in
  'on')
	while [ $k -gt 0 ]; do
		k=$[$k-1];
		mkfifo "in${k}.fifo"
		mkfifo "out${k}.fifo"
		../progs/client >/dev/null "in${k}.fifo" "out${k}.fifo" a -1 20 &
		../progs/server >/dev/null "in${k}.fifo" "out${k}.fifo" 3 &
	done
	;;
  'off')
	killall server
	killall client
	rm -f *.fifo
	;;
  *)
	exit 1;;
esac
