/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int sum = 0;

void iterate(void)
{
	int i, k;
	
	for ( i=0; i<1000; i++ ) {
		for ( k=0; k<1000; k++ ) {
			sum += ( i-k );
		}
	}
}


int main(int argc, char* argv[])
{
	int iter;

	if ( argc!=2 ) {
		fprintf ( stderr, "USAGE: %s <iter>\n", argv[0] );
		return 1;
	}
	
	iter = atoi ( argv[1] );
	
	while ( iter != 0 ) {
	
		if ( iter > 0 ) 
			iter--;
		
		iterate();			
	}
	
	return 0;
}
	
		