#!/bin/bash

if [ $# -ne 3 ]; then
	echo "USAGE: $0 <on | off> <table> <scheduler>";
	exit 1;
fi

SCHEDULER=$3

case $1 in
  'on')
	echo -n "Setting scheduler ${SCHEDULER}...";
	if tb-ctrl >/dev/null $SCHEDULER $1; then
		echo -n "OK.";
	else
		echo -n "Failed.";
		exit 1;
	fi
	echo -n " Loading table $2...";
	if table >/dev/null $2; then
		echo "OK.";
	else
		echo "Failed.";
		exit 1;
	fi
	;;
  'off')
	echo -n "Unloading ${SCHEDULER}...";
	tb-ctrl >/dev/null x;
	echo "OK.";;
  *)
	echo "Arg.2 bad";
	exit 1;;
esac
