/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#ifndef _TBSCHSRCFAKE_HPP_
#define _TBSCHSRCFAKE_HPP_

#include "tbschsrc.hpp"

class TBSchedSourceFake : public TBSchedSource
{
private:
	unsigned long _maxTime;
	
public:
	//
	// Constructor
	//
	TBSchedSourceFake(int pid) :
		TBSchedSource(pid),
		_maxTime(0)
	{
	}
	
	//
	// Methods
	// 
	virtual bool FetchData(void);
};

#endif
