/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdlib.h>
#include <linux/schedstat.h>
#include <linux/unistd.h>

#include "tbschsrcreal.hpp"

_syscall2(int,sched_cpu,int,pid,struct schedstat_struct*,data)

bool TBSchedSourceReal::FetchData(void)
{
	int res;

	res = sched_cpu(this->pid(),&_sstat);

	_fetched = ( res != -1 );

	return _fetched;	
}
